Package org.apache.maven.scm.provider.starteam.command

## Class StarteamCommandLineUtils

- java.lang.Object
- - org.apache.maven.scm.provider.starteam.command.StarteamCommandLineUtils

    public final class StarteamCommandLineUtils
    extends java.lang.Object

Command line construction utility.

Author:
  Dan T. Tran

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addCompressionOption​(org.codehaus.plexus.util.cli.Commandline cl)`
`static void` `addEOLOption​(java.util.List<java.lang.String> args)`
`static org.codehaus.plexus.util.cli.Commandline` `createStarteamBaseCommandLine​(java.lang.String action, StarteamScmProviderRepository repo)`
`static org.codehaus.plexus.util.cli.Commandline` `createStarteamCommandLine​(java.lang.String action, java.util.List<java.lang.String> args, ScmFileSet scmFileSet, StarteamScmProviderRepository repo)`
`static java.lang.String` `displayCommandlineWithoutPassword​(org.codehaus.plexus.util.cli.Commandline cl)` Hellper method to display command line without password
`static int` `executeCommandline​(org.codehaus.plexus.util.cli.Commandline cl, org.codehaus.plexus.util.cli.StreamConsumer consumer, org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr, ScmLogger logger)`
`static java.lang.String` `getRelativeChildDirectory​(java.lang.String parent, java.lang.String child)` Given 2 paths, make sure parent and child are on the same tree return the port of child that not in parent
`static java.lang.String` `toJavaPath​(java.lang.String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createStarteamBaseCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createStarteamBaseCommandLine​(java.lang.String action,
                                                                                         StarteamScmProviderRepository repo)

#### createStarteamCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createStarteamCommandLine​(java.lang.String action,
                                                                                     java.util.List<java.lang.String> args,
                                                                                     ScmFileSet scmFileSet,
                                                                                     StarteamScmProviderRepository repo)

#### addCompressionOption

    public static void addCompressionOption​(org.codehaus.plexus.util.cli.Commandline cl)

#### addEOLOption

    public static void addEOLOption​(java.util.List<java.lang.String> args)

#### toJavaPath

    public static java.lang.String toJavaPath​(java.lang.String path)

#### displayCommandlineWithoutPassword

    public static java.lang.String displayCommandlineWithoutPassword​(org.codehaus.plexus.util.cli.Commandline cl)
                                                              throws ScmException

Hellper method to display command line without password

Parameters:
  `cl` -
Returns:
  String
Throws:
  `ScmException`

#### executeCommandline

    public static int executeCommandline​(org.codehaus.plexus.util.cli.Commandline cl,
                                         org.codehaus.plexus.util.cli.StreamConsumer consumer,
                                         org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr,
                                         ScmLogger logger)
                                  throws ScmException

Throws:
  `ScmException`

#### getRelativeChildDirectory

    public static java.lang.String getRelativeChildDirectory​(java.lang.String parent,
                                                             java.lang.String child)

Given 2 paths, make sure parent and child are on the same tree return the port of child that not in parent

Parameters:
  `parent` -
  `child` -
Returns: